#include Includes.txt

uniform sampler2D source0;
uniform sampler2D source1;
uniform float source0_opacity;
uniform float source1_opacity;
uniform vec2 position;
uniform vec2 scale;

void main() 
{    
	vec2 TexCoord = 
		vec2(0.5, 0.5)
		+ ( ( gl_TexCoord[0].xy + vec2(-0.5, -0.5) ) * scale )
		+ position;


	float dist = (length((TexCoord * vec2(1.75, 1.0)) - vec2(0.80, 0.5))) + ((1.0 - source0_opacity) * 1.0);
	float col = clamp(1.0 - dist, 0.0, 1.0);

	gl_FragColor = screen(texture2D(source0, TexCoord) * vec4(col), texture2D(source1, gl_TexCoord[0].xy) * vec4(source1_opacity));
//	gl_FragColor = vec4(col);
	
}